Index: rc.subr
===================================================================
--- rc.subr	(revision 205846)
+++ rc.subr	(working copy)
@@ -138,24 +138,28 @@
 #
 checkyesno()
 {
-	eval _value=\$${1}
-	debug "checkyesno: $1 is set to $_value."
-	case $_value in
+	local _no _varname _value
+	_no=false
+	for _varname in $*; do
+		eval _value=\$${_varname}
+		debug "checkyesno: $_varname is set to $_value."
+		case $_value in
 
-		#	"yes", "true", "on", or "1"
-	[Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|[Oo][Nn]|1)
-		return 0
-		;;
+			#	"yes", "true", "on", or "1"
+		[Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|[Oo][Nn]|1)
+			return 0
+			;;
 
-		#	"no", "false", "off", or "0"
-	[Nn][Oo]|[Ff][Aa][Ll][Ss][Ee]|[Oo][Ff][Ff]|0)
-		return 1
-		;;
-	*)
-		warn "\$${1} is not set properly - see ${rcvar_manpage}."
-		return 1
-		;;
-	esac
+			#	"no", "false", "off", or "0"
+		[Nn][Oo]|[Ff][Aa][Ll][Ss][Ee]|[Oo][Ff][Ff]|0)
+			_no=true
+			;;
+		esac
+	done
+	if [ "${_no}" = false ]; then
+		warn "\$$* is not set properly - see ${rcvar_manpage}."
+	fi
+	return 1
 }
 
 #
Index: rc.d/mountd
===================================================================
--- rc.d/mountd	(revision 205846)
+++ rc.d/mountd	(working copy)
@@ -10,7 +10,7 @@
 . /etc/rc.subr
 
 name="mountd"
-rcvar=`set_rcvar`
+rcvar="`set_rcvar` nfs_server_enable nfsd_enable"
 command="/usr/sbin/${name}"
 pidfile="/var/run/${name}.pid"
 required_files="/etc/exports"